FILE_NAME=$1
CI_PROJECT_ID=$2
CI_JOB_TOKEN=$3

echo "Downloading file: $FILE_NAME"

# Fetch the secure file list
curl --request GET -H JOB-TOKEN:$CI_JOB_TOKEN "http://gitlab.sberlab.nsu.ru/api/v4/projects/$CI_PROJECT_ID/secure_files" -o secure_files.json || { echo "Failed to fetch secure files list"; exit 1; }

# Get the file ID based on the file name
FILE_ID=$(jq -r --arg FILE_NAME "$FILE_NAME" '.[] | select(.name == $FILE_NAME) | .id' secure_files.json)

if [ -z "$FILE_ID" ]; then
    echo "File $FILE_NAME not found"
    exit 1
fi

# Download the file using the file ID
curl --request GET --header JOB-TOKEN:$CI_JOB_TOKEN "http://gitlab.sberlab.nsu.ru/api/v4/projects/$CI_PROJECT_ID/secure_files/$FILE_ID/download" -o "$FILE_NAME" || { echo "Failed to download file $FILE_NAME"; exit 1; }
