// If value is "raw" then it will compare with "target" value and transform into handled value.
export default function PropertyHandledValueFlexContainer({
    property,
    rawValue,
    targetValue,
    handledValue,
    alternativeHandledValue,
    ...props
}) {
    return (
        <div {...props} className="flex flex-col justify-between items-start px-2 lg:px-0 mb-4">
            <p className="font-semibold">{property}</p>
            {rawValue && targetValue && rawValue === targetValue ? (
                <p className='className="font-normal"'>{handledValue}</p>
            ) : (
                <p className='className="font-normal"'>{alternativeHandledValue}</p>
            )}
        </div>
    );
}
