import logo from 'assets/images/Logo.svg';
import { useNavigate } from 'react-router-dom';
import styled from 'styled-components';

const StyledLogoImg = styled.img`
    flex-shrink: 0;

    &:hover {
        filter: drop-shadow(2px 2px 10px var(--color-text-dark-blue));
    }
`;

export default function Logo() {
    const navigate = useNavigate();

    const handleClick = () => {
        navigate('/', { replace: false });
    };

    return (
        <>
            <StyledLogoImg onClick={handleClick} src={logo} alt="Logo" loading="lazy" />
        </>
    );
}
