import swimIcon from 'assets/images/swim-icon.svg';
import styled from 'styled-components';
import { shrinkStringByLimit } from 'utils/strings';

const StyledDiv = styled.div`
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    padding-block: 2vh;
    gap: 1vh;
    border: 3px solid #555c9a;
`;

const StyledImg = styled.img`
    flex-shrink: 0;

    &:hover {
        filter: drop-shadow(0px 2px 2px var(--color-placeholder));
    }
`;

const StyledSpan = styled.span`
    font-size: 22px;
    font-weight: 400;
    color: #555c9a;
`;

export default function ExerciseCard({ exercise, ...props }) {
    return (
        <>
            <StyledDiv>
                <StyledImg {...props} src={swimIcon} alt="Swim icon"></StyledImg>
                <StyledSpan>{shrinkStringByLimit(exercise.name, 19, '.', 3)}</StyledSpan>
            </StyledDiv>
        </>
    );
}
