import AddCircleRoundedIcon from '@mui/icons-material/AddCircleRounded';
import DeleteForeverRoundedIcon from '@mui/icons-material/DeleteForeverRounded';
import EditRoundedIcon from '@mui/icons-material/EditRounded';
import { IconButton } from '@mui/material';
import { blue, green, red } from '@mui/material/colors';
import PersonalizedEquipmentExtendedInfo from './PersonalizedEquipmentExtendedInfo';

// TODO: edit exercise for admin only?
// FIXME: shrink text if overflow
export default function PersonalizedEquipmentDropDownContent({ equipments }) {
    return (
        <>
            {equipments.length > 0 ? (
                equipments.map((equipment) => (
                    <div
                        key={equipment.name}
                        className="flex flex-col bg-[var(--color-light-gray)] rounded-lg py-1 px-2 justify-between items-center mb-1">
                        <div>
                            <PersonalizedEquipmentExtendedInfo equipment={equipment}>
                                {equipment.name}
                            </PersonalizedEquipmentExtendedInfo>
                        </div>
                        <div className="flex flex-row">
                            <IconButton sx={{ color: blue[700] }} size="medium">
                                <EditRoundedIcon fontSize="inherit" />
                            </IconButton>
                            <IconButton sx={{ color: red[400] }} size="medium">
                                <DeleteForeverRoundedIcon fontSize="inherit" />
                            </IconButton>
                        </div>
                    </div>
                ))
            ) : (
                <div className="flex flex-row bg-[var(--color-light-gray)] rounded-lg py-1 px-3 justify-between items-center">
                    <span className="text-[var(--color-unused-text-gray)] text-lg py-1">
                        не указано
                    </span>
                </div>
            )}
            <div className="bg-[var(--color-light-gray)] rounded-lg py-1 px-2 mt-1">
                <IconButton sx={{ color: green[500] }} size="medium">
                    <AddCircleRoundedIcon fontSize="inherit" />
                </IconButton>
            </div>
        </>
    );
}
