import AddCircleRoundedIcon from '@mui/icons-material/AddCircleRounded';
import DeleteForeverRoundedIcon from '@mui/icons-material/DeleteForeverRounded';
import EditRoundedIcon from '@mui/icons-material/EditRounded';
import { IconButton } from '@mui/material';
import { blue, green, red } from '@mui/material/colors';

// TODO: edit exercise for admin only?
// FIXME: shrink text if overflow
export default function PersonalizedMetricsDropDownContent({ metricsInfo }) {
    return (
        <>
            {metricsInfo.length > 0 ? (
                metricsInfo.map((metrics) => (
                    <div
                        key={metrics.name}
                        className="flex flex-row bg-[var(--color-light-gray)] rounded-lg py-1 px-2 justify-between items-center mb-1">
                        <div className="grid grid-cols-1 gap-1 my-1">
                            <span className="text-[var(--color-form-dark-black)] text-lg px-2">
                                {metrics.name},
                            </span>
                            <span className="text-[var(--color-unused-text-gray)] text-lg px-2">
                                [{metrics.type}]
                            </span>
                            <span className="text-[var(--color-form-dark-black)] text-lg px-2">
                                Ожидаемый результат: {`${metrics.indicative_value} ${metrics.unit}`}
                            </span>
                            <span className="text-[var(--color-form-dark-black)] text-lg px-2">
                                Достигнутый результат: {`${metrics.real_value} ${metrics.unit}`}
                            </span>
                        </div>
                        <div className="flex flex-row">
                            <IconButton sx={{ color: blue[700] }} size="medium">
                                <EditRoundedIcon fontSize="inherit" />
                            </IconButton>
                            <IconButton sx={{ color: red[400] }} size="medium">
                                <DeleteForeverRoundedIcon fontSize="inherit" />
                            </IconButton>
                        </div>
                    </div>
                ))
            ) : (
                <div className="flex flex-row bg-[var(--color-light-gray)] rounded-lg py-1 px-3 justify-between items-center">
                    <span className="text-[var(--color-unused-text-gray)] text-2xl py-1">
                        не указано
                    </span>
                </div>
            )}
            <div className="bg-[var(--color-light-gray)] rounded-lg py-1 px-2 mt-1">
                <IconButton sx={{ color: green[500] }} size="medium">
                    <AddCircleRoundedIcon fontSize="inherit" />
                </IconButton>
            </div>
        </>
    );
}
