import useAuth from 'hooks/useAuth';
import axios from 'services/axios';
import * as backendUrl from 'services/backendUrl';

export default function useRefreshToken() {
    const { auth, setAuth } = useAuth();

    const refresh = async () => {
        const response = await axios
            .post(`${backendUrl.refreshUrl}`, {
                update_token: localStorage.getItem('updateToken')
            })
            .catch((error) => {
                localStorage.removeItem('updateToken');
            });
        if (response) {
            setAuth((prev) => {
                return {
                    ...prev,
                    role: response.data.role,
                    accessToken: response.data.access_token,
                    updateToken: response.data.update_token
                };
            });
            return response.data.access_token;
        }
    };

    return refresh;
}
