import UserProfile from 'components/apps/user-profile/UserProfile';
import Logo from 'components/common/logo/Logo';
import UserAccountLinks from 'components/common/UserAccountLinks';
import { useImmer } from 'use-immer';

export default function Header() {
    const [isSidebarShow, setIsSideBarShow] = useImmer(false);

    return (
        <>
            <div className="my-2 px-4">
                <div className="flex justify-between items-center">
                    <Logo />
                    <div className="lg:block md:hidden sm:hidden hidden">
                        <UserProfile />
                    </div>
                    <div className="lg:hidden">
                        <button
                            onClick={() => setIsSideBarShow((draft) => !draft)}
                            className="material-symbols-outlined cursor-pointer">
                            menu
                        </button>
                    </div>
                </div>
            </div>

            {isSidebarShow && (
                <div className="fixed inset-0 bg-gray-800 bg-opacity-75 z-10">
                    <div className="w-full bg-white h-full px-4 overflow-y-scroll">
                        <div className="flex flex-row justify-between items-center mt-2 mb-4">
                            <button
                                onClick={() => setIsSideBarShow((draft) => !draft)}
                                className="material-symbols-outlined cursor-pointer">
                                close
                            </button>
                            <UserProfile />
                        </div>
                        <UserAccountLinks />
                    </div>
                </div>
            )}
        </>
    );
}
