import react from '@vitejs/plugin-react';
import { defineConfig } from 'vite';

// https://vitejs.dev/config/
export default defineConfig({
    plugins: [react()],
    optimizeDeps: {
        include: ['@mui/material/Tooltip', '@emotion/styled']
    },
    resolve: {
        alias: {
            assets: '/src/assets',
            components: '/src/components',
            containers: '/src/containers',
            services: '/src/services',
            layout: '/src/layout',
            views: '/src/views',
            theme: '/src/theme',
            context: '/src/context',
            hooks: '/src/hooks',
            utils: '/src/utils',
            data: '/src/data'
        }
    }
});
